package fr.smallcrew.security.domain;

import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.repository.CrudRepository;
import org.springframework.transaction.annotation.Transactional;

@Transactional(readOnly = true)
public interface DomainUserRepository extends CrudRepository<DomainUser, Integer>, JpaSpecificationExecutor<DomainUser> {
  DomainUser findByUserName(String userName);
}
