package fr.smallcrew.security.domain;

import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.repository.CrudRepository;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

@Transactional(readOnly = true)
public interface UserTokenRepository extends CrudRepository<UserToken, Integer>, JpaSpecificationExecutor<UserToken> {
  UserToken findBySeries(String series);

  List<UserToken> findByUsername(String username);
}
